package com.xhkjedu.sexam.mapper.paper;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sexam.model.paper.EPaperQtypeQuestion;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 题库题型试题
 * @Author WN
 * Date 2022/7/19 8:57
 **/
public interface EPaperQtypeQuestionMapper extends TkMapper<EPaperQtypeQuestion> {
    //保存试题正确答案
    void updateBatchQuestionAnswer(@Param("list") List<EPaperQtypeQuestion> list);

    //批量保存答题卡
    void updateBatchQuestionForScan(@Param("list")List<EPaperQtypeQuestion> list);

    //修改客观题选项数量
    void updateBatchQuestionOptionnum(@Param("list")List<EPaperQtypeQuestion> list);

    //试卷中所有试题基础信息
    List<EPaperQtypeQuestion> listQuestionsByEpid(@Param("epid") Integer epid);

    //试卷中所有试题题号信息
    List<Map> listQnByEpid(@Param("epid") Integer epid);
}
